## 389-ds-base 1.4.0.21.1

=== debian/changelog ===
389-ds-base (1.4.0.21.1-1+security) unstable; urgency=medium

  * update

 -- Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>  Thu, 24 Jun 2021 11:49:32 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie


ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
  export DEB_LDFLAGS_MAINT_APPEND=-latomic
endif

# Keep track of files we don't install
NOT_INSTALLED := 

REALFILE = \
	bin/cl-dump.pl \
	bin/dbgen.pl \
	bin/ds-logpipe.py \
	bin/logconv.pl \
	bin/repl-monitor.pl \
	sbin/migrate-ds.pl \
	sbin/remove-ds.pl \
	sbin/setup-ds.pl \
	sbin/cleanallruv.pl \
	sbin/fixup-linkedattrs.pl \
	sbin/fixup-memberof.pl \
	sbin/ns-accountstatus.pl \
	sbin/ns-activate.pl \
	sbin/ns-inactivate.pl \
	sbin/ns-newpwpolicy.pl \
	sbin/schema-reload.pl \
	sbin/syntax-validate.pl \
	sbin/usn-tombstone-cleanup.pl \
	sbin/verify-db.pl \
	share/man/man1/cl-dump.pl.1 \
	share/man/man1/dbgen.pl.1 \
	share/man/man1/ds-logpipe.py.1 \
	share/man/man1/logconv.pl.1 \
	share/man/man1/repl-monitor.pl.1 \
	share/man/man8/cleanallruv.pl.8 \
	share/man/man8/fixup-linkedattrs.pl.8 \
	share/man/man8/fixup-memberof.pl.8 \
	share/man/man8/migrate-ds.pl.8 \
	share/man/man8/ns-accountstatus.pl.8 \
	share/man/man8/ns-activate.pl.8 \
	share/man/man8/ns-inactivate.pl.8 \
	share/man/man8/ns-newpwpolicy.pl.8 \
	share/man/man8/setup-ds.pl.8 \
	share/man/man8/schema-reload.pl.8 \
	share/man/man8/syntax-validate.pl.8 \
	share/man/man8/remove-ds.pl.8 \
	share/man/man8/usn-tombstone-cleanup.pl.8 \
	share/man/man8/verify-db.pl.8

# scripts for handling online servers
REALFILE_ONLINE = \
	sbin/bak2db.pl \
	sbin/db2bak.pl \
	sbin/db2index.pl \
	sbin/db2ldif.pl \
	sbin/ldif2db.pl \
	share/man/man8/bak2db.pl.8 \
	share/man/man8/db2bak.pl.8 \
	share/man/man8/db2index.pl.8 \
	share/man/man8/db2ldif.pl.8 \
	share/man/man8/ldif2db.pl.8

%:
	dh $@ --with autoreconf,python3 --builddir build/

override_dh_auto_clean:
	dh_auto_clean
	rm -f aclocal.m4 config.* ltmain.sh m4/libtool.m4 m4/lt*.m4
	rm -f ldap/servers/snmp/ldap-agent.conf
	rm -rf src/lib389/build src/lib389/lib389.egg-info

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-openldap \
		--with-systemd \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-systemdsystemconfdir=/etc/systemd/system \
		--with-systemdgroupname=dirsrv.target \
		--with-tmpfiles-d=/etc/tmpfiles.d \
		--enable-autobind \
		--enable-cmocka \
		--enable-icu

override_dh_auto_build:
	(cd src/lib389 && python3 setup.py build)
	dh_auto_build

override_dh_auto_install:
	(cd src/lib389 && python3 setup.py install --install-layout=deb --root ../../debian/tmp)

	dh_auto_install --max-parallel=1

override_dh_install:
	# lets do the renaming here afterall, instead of in 389-ds-base.install
	for file in $(REALFILE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
		$(CURDIR)/debian/tmp/usr/`echo $$file | \
		sed -s 's/\.pl//;s/\.py//'`; \
		done
	# use -online suffix so that they won't overwrite the offline scripts
	for file in $(REALFILE_ONLINE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
		$(CURDIR)/debian/tmp/usr/`echo $$file | \
		sed -s 's/\.pl/-online/'`; \
		done
	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
	# fix template script headers
	find $(CURDIR)/debian/tmp/usr/share/dirsrv/script-templates/ -type f -exec perl -pi -e  's,#\{\{PERL-EXEC\}\},#!/usr/bin/perl,' "{}" \;

	# Also get rid of other files which aren't installed. Do not
	# use -f to ensure we notice disappearing files:
	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done

	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants

	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installsystemd:
	dh_installsystemd -p389-ds-base --no-enable dirsrv-snmp.service

override_dh_shlibdeps:
	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a

## 389-ds-base 1.4.0.22

=== debian/changelog ===
389-ds-base (1.4.0.22-1) unstable; urgency=medium

  * New upstream bugfix release.
  * control: Drop 389-ds-base from -legacy-tools Depends. (Closes:
    #924265)
  * fix-dsctl-remove.diff: Don't hardcode sysconfig. (Closes: #925221)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 06 Apr 2019 00:32:06 +0300

=== debian/control ===
Source: 389-ds-base
Section: net
Priority: optional
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders:
 Timo Aaltonen <tjaalton@debian.org>,
Build-Depends:
 libcmocka-dev,
 debhelper (>= 11),
 dh-python,
 doxygen,
 libbz2-dev,
 libcrack2-dev,
 libdb-dev,
 libevent-dev,
 libicu-dev,
 libkrb5-dev,
 libldap2-dev (>= 2.4.28),
 libltdl-dev,
 libnspr4-dev,
 libnss3-dev,
 libpam0g-dev,
 libpci-dev,
 libpcre3-dev,
 libperl-dev,
 libsasl2-dev,
 libsnmp-dev,
 libssl-dev,
 libsystemd-dev,
 pkg-config,
 python3-all-dev,
 python3-argcomplete,
 python3-argparse-manpage,
 python3-ldap,
 python3-selinux,
 python3-sepolicy,
 python3-setuptools,
 python3-six,
 rsync,
 zlib1g-dev,
Standards-Version: 4.1.0
Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/389-ds-base.git
Homepage: http://directory.fedoraproject.org

Package: 389-ds
Architecture: all
Depends:
 389-ds-base,
 cockpit-389-ds,
 ${misc:Depends},
Description: 389 Directory Server suite - metapackage
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This is a metapackage depending on the LDAPv3 server and a Cockpit UI plugin
 for administration.

Package: 389-ds-base-libs
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: 389-ds-base (<< 1.3.6.7-5),
 389-ds-base-dev (<< 1.3.6.7-4),
 libsvrcore0,
Replaces: 389-ds-base (<< 1.3.6.7-5),
 389-ds-base-dev (<< 1.3.6.7-4),
 libsvrcore0,
Description: 389 Directory Server suite - libraries
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package contains core libraries for the 389 Directory Server.

Package: 389-ds-base-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 389-ds-base-libs (= ${binary:Version}),
 libldap2-dev,
 libnspr4-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: 389-ds-base (<< 1.3.6.7-4),
 libsvrcore-dev,
Replaces: 389-ds-base (<< 1.3.6.7-4),
 libsvrcore-dev,
Provides:
 libsvrcore-dev,
Description: 389 Directory Server suite - development files
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package contains development headers for the core libraries
 of the 389 Directory Server, useful for developing plugins without
 having to install the server itself.

Package: 389-ds-base
Architecture: any
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends:
 389-ds-base-libs (= ${binary:Version}),
 389-ds-base-legacy-tools (= ${binary:Version}),
 adduser,
 acl,
 ldap-utils,
 libperl4-corelibs-perl | perl (<< 5.12.3-7),
 libsasl2-modules-gssapi-mit,
 python,
 python3-lib389,
 python3-selinux,
 python3-semanage,
 python3-sepolicy,
 systemd,
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
Description: 389 Directory Server suite - server
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 Its key features include:
  * four-way multi-master replication;
  * great scalability;
  * extensive documentation;
  * Active Directory user and group synchronization;
  * secure authentication and transport;
  * support for LDAPv3;
  * graphical management console;
  * on-line, zero downtime update of schema, configuration, and
    in-tree Access Control Information.

Package: 389-ds-base-legacy-tools
Architecture: any
Depends:
 libmozilla-ldap-perl,
 libnetaddr-ip-perl,
 libperl4-corelibs-perl | perl (<< 5.12.3-7),
 libsocket-getaddrinfo-perl,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: 389-ds-base (<< 1.4.0.20-1)
Replaces: 389-ds-base (<< 1.4.0.20-1)
Description: Legacy utilities for 389 Directory Server
 Legacy (and deprecated) utilities for 389 Directory Server. This includes
 the old account management and task scripts. These are deprecated in favour of
 the dscreate, dsctl, dsconf and dsidm tools.

Package: python3-lib389
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-argcomplete,
 python3-dateutil,
 python3-ldap,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pytest,
 python3-six,
Conflicts: python-lib389 (<< 1.3.7.8),
 389-ds-base (<< 1.4.0.18-1~),
Replaces: python-lib389 (<< 1.3.7.8),
 389-ds-base (<< 1.4.0.18-1~),
Description: Python3 module for accessing and configuring the 389 Directory Server
 This Python3 module contains tools and libraries for accessing, testing,
 and configuring the 389 Directory Server.

Package: cockpit-389-ds
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 cockpit,
 libjs-bootstrap,
 libjs-c3,
 libjs-d3,
 libjs-jquery-datatables,
 libjs-jquery-datatables-extensions,
 libjs-jquery-jstree,
 libjs-moment,
 python3,
 python3-lib389,
Description: Cockpit user interface for 389 Directory Server
 This package includes a Cockpit UI plugin for configuring and administering
 the 389 Directory Server.

## 389-ds-base 1.4.1.5

=== debian/changelog ===
389-ds-base (1.4.1.5-1) unstable; urgency=medium

  * New upstream release.
  * watch: Use https.
  * control: Bump policy to 4.4.0.
  * Bump debhelper to 12.
  * patches: fix-dsctl-remove.diff, fix-nss-path.diff, icu_pkg-config.patch
    removed, upstream. Others refreshed.
  * rules: Pass --enable-perl, we still need the perl tools.
  * *.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Jul 2019 10:05:31 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
  libcmocka-dev,
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-python,
  doxygen,
  libbz2-dev,
@@ -38,7 +38,7 @@
  python3-six,
  rsync,
  zlib1g-dev,
-Standards-Version: 4.1.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/389-ds-base.git
 Homepage: http://directory.fedoraproject.org

=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,8 @@
 		--with-tmpfiles-d=/etc/tmpfiles.d \
 		--enable-autobind \
 		--enable-cmocka \
-		--enable-icu
+		--enable-icu \
+		--enable-perl
 
 override_dh_auto_build:
 	(cd src/lib389 && python3 setup.py build)

## 389-ds-base 1.4.1.6

=== debian/changelog ===
389-ds-base (1.4.1.6-4) unstable; urgency=medium

  * tests: Redirect stderr to stdout.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Sep 2019 01:37:39 +0300

389-ds-base (1.4.1.6-3) unstable; urgency=medium

  * control: Add openssl to python3-lib389 depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Sep 2019 07:32:27 +0300

389-ds-base (1.4.1.6-2) unstable; urgency=medium

  * Restore perl build partly, setup-ds is still needed for upgrades
    until Ubuntu 20.04 is released (for versions << 1.4.0.9).

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Sep 2019 14:50:36 +0300

389-ds-base (1.4.1.6-1) unstable; urgency=medium

  * New upstream release.
  * control: Drop direct depends on python from 389-ds-base. (Closes:
    #936102)
  * Drop -legacy-tools and other obsolete scripts.
  * use-bash-instead-of-sh.diff, rename-online-scripts.diff, perl-use-
    move-instead-of-rename.diff: Dropped, obsolete.
  * rules: Fix dsconf/dscreate/dsctl/dsidm manpage section.
  * tests/setup: Migrate to dscreate.
  * control: Add libnss3-tools to python3-lib389 depends. (Closes: #920025)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Sep 2019 17:01:03 +0300

=== debian/control ===
--- 
+++ 
@@ -106,13 +106,14 @@
 Pre-Depends: debconf (>= 0.5) | debconf-2.0
 Depends:
  389-ds-base-libs (= ${binary:Version}),
- 389-ds-base-legacy-tools (= ${binary:Version}),
  adduser,
  acl,
  ldap-utils,
- libperl4-corelibs-perl | perl (<< 5.12.3-7),
+ libmozilla-ldap-perl,
+ libnetaddr-ip-perl,
+ libsocket-getaddrinfo-perl,
  libsasl2-modules-gssapi-mit,
- python,
+ perl,
  python3-lib389,
  python3-selinux,
  python3-semanage,
@@ -121,6 +122,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  ${python3:Depends},
+Replaces: 389-ds-base-legacy-tools
 Description: 389 Directory Server suite - server
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -137,25 +139,11 @@
   * on-line, zero downtime update of schema, configuration, and
     in-tree Access Control Information.
 
-Package: 389-ds-base-legacy-tools
-Architecture: any
-Depends:
- libmozilla-ldap-perl,
- libnetaddr-ip-perl,
- libperl4-corelibs-perl | perl (<< 5.12.3-7),
- libsocket-getaddrinfo-perl,
- ${misc:Depends},
- ${shlibs:Depends},
-Conflicts: 389-ds-base (<< 1.4.0.20-1)
-Replaces: 389-ds-base (<< 1.4.0.20-1)
-Description: Legacy utilities for 389 Directory Server
- Legacy (and deprecated) utilities for 389 Directory Server. This includes
- the old account management and task scripts. These are deprecated in favour of
- the dscreate, dsctl, dsconf and dsidm tools.
-
 Package: python3-lib389
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+ libnss3-tools,
+ openssl,
  python3-argcomplete,
  python3-dateutil,
  python3-ldap,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie


ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
  export DEB_LDFLAGS_MAINT_APPEND=-latomic
endif

# Keep track of files we don't install
NOT_INSTALLED := \
	usr/bin/infadd \
	usr/bin/repl-monitor \
	usr/bin/mmldif \
	usr/bin/migratecred \
	usr/bin/rsearch \
	usr/bin/ldif \
	usr/bin/cl-dump \
	usr/sbin/bak2db \
	usr/sbin/db2bak \
	usr/sbin/db2index \
	usr/sbin/db2ldif \
	usr/sbin/dbmon.sh \
	usr/sbin/dbverify \
	usr/sbin/dn2rdn \
	usr/sbin/ldif2db \
	usr/sbin/ldif2ldap \
	usr/sbin/monitor \
	usr/sbin/restart-dirsrv \
	usr/sbin/restoreconfig \
	usr/sbin/saveconfig \
	usr/sbin/start-dirsrv \
	usr/sbin/status-dirsrv \
	usr/sbin/stop-dirsrv \
	usr/sbin/suffix2instance \
	usr/sbin/upgradedb \
	usr/sbin/upgradednformat \
	usr/sbin/vlvindex

REALFILE = \
	bin/ds-logpipe.py \
	bin/logconv.pl \
	share/man/man1/ds-logpipe.py.1 \
	share/man/man1/logconv.pl.1 \

%:
	dh $@ --with python3 --builddir build/

override_dh_auto_clean:
	dh_auto_clean
	rm -f aclocal.m4 config.* ltmain.sh m4/libtool.m4 m4/lt*.m4
	rm -f ldap/servers/snmp/ldap-agent.conf
	rm -rf src/lib389/build src/lib389/lib389.egg-info

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-openldap \
		--with-systemd \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-systemdsystemconfdir=/etc/systemd/system \
		--with-systemdgroupname=dirsrv.target \
		--with-tmpfiles-d=/etc/tmpfiles.d \
		--enable-autobind \
		--enable-cmocka \
		--enable-icu \
		--enable-perl

override_dh_auto_build:
	(cd src/lib389 && python3 setup.py build)
	dh_auto_build

override_dh_auto_install:
	(cd src/lib389 && python3 setup.py install --install-layout=deb --root ../../debian/tmp)

	dh_auto_install --max-parallel=1

override_dh_install:
	# lets do the renaming here afterall, instead of in 389-ds-base.install
	for file in $(REALFILE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
		$(CURDIR)/debian/tmp/usr/`echo $$file | \
		sed -s 's/\.pl//;s/\.py//'`; \
		done
	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;

	# Also get rid of other files which aren't installed. Do not
	# use -f to ensure we notice disappearing files:
	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done

	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants

	# fix the manpage section, argparse-manpage hardcodes it as 1
	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsconf.8
	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dscreate.8
	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsctl.8
	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsidm.8

	# clean up perl cruft
	mv debian/tmp/usr/sbin/setup-ds.pl debian/tmp/usr/share/dirsrv
	rm -f debian/tmp/usr/bin/*.pl debian/tmp/usr/sbin/*.pl
	rm -rf debian/tmp/usr/share/dirsrv/script-templates/

	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installsystemd:
	dh_installsystemd -p389-ds-base --no-enable dirsrv-snmp.service

override_dh_shlibdeps:
	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a

## 389-ds-base 1.4.3.2

=== debian/changelog ===
389-ds-base (1.4.3.2-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 1.4.0.19-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 27 Dec 2018 01:27:25 +0000]
  * Add -latomic to LDFLAGS on armhf too.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 18 Feb 2020 10:54:08 +0000

389-ds-base (1.4.3.2-1) unstable; urgency=medium

  * New upstream release.
  * prerm: Fix slapd install path. (Closes: #945583)
  * install: Updated.
  * control: Use debhelper-compat.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 12 Feb 2020 19:39:22 +0200

389-ds-base (1.4.2.4-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2019-14824 deref plugin displays restricted attributes
      (Closes: #944150)
  * fix-obsolete-target.diff: Dropped, obsolete
    drop-old-man.diff: Refreshed
  * control: Add python3-packaging to build-depends and python3-lib389 depends.
  * dev,libs.install: Nunc-stans got dropped.
  * source/local-options: Add some files to diff-ignore.
  * rules: Refresh list of files to purge.
  * rules: Update dh_auto_clean override.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Nov 2019 00:00:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
  libcmocka-dev,
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-python,
  doxygen,
  libbz2-dev,
@@ -32,6 +32,7 @@
  python3-argcomplete,
  python3-argparse-manpage,
  python3-ldap,
+ python3-packaging,
  python3-selinux,
  python3-sepolicy,
  python3-setuptools,
@@ -147,6 +148,7 @@
  python3-argcomplete,
  python3-dateutil,
  python3-ldap,
+ python3-packaging,
  python3-pyasn1,
  python3-pyasn1-modules,
  python3-pytest,

=== debian/rules ===
--- 
+++ 
@@ -4,39 +4,14 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
 
 
-ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
 endif
 
 # Keep track of files we don't install
 NOT_INSTALLED := \
-	usr/bin/infadd \
 	usr/bin/repl-monitor \
-	usr/bin/mmldif \
-	usr/bin/migratecred \
-	usr/bin/rsearch \
-	usr/bin/ldif \
-	usr/bin/cl-dump \
-	usr/sbin/bak2db \
-	usr/sbin/db2bak \
-	usr/sbin/db2index \
-	usr/sbin/db2ldif \
-	usr/sbin/dbmon.sh \
-	usr/sbin/dbverify \
-	usr/sbin/dn2rdn \
-	usr/sbin/ldif2db \
-	usr/sbin/ldif2ldap \
-	usr/sbin/monitor \
-	usr/sbin/restart-dirsrv \
-	usr/sbin/restoreconfig \
-	usr/sbin/saveconfig \
-	usr/sbin/start-dirsrv \
-	usr/sbin/status-dirsrv \
-	usr/sbin/stop-dirsrv \
-	usr/sbin/suffix2instance \
-	usr/sbin/upgradedb \
-	usr/sbin/upgradednformat \
-	usr/sbin/vlvindex
+	usr/bin/cl-dump
 
 REALFILE = \
 	bin/ds-logpipe.py \
@@ -52,6 +27,8 @@
 	rm -f aclocal.m4 config.* ltmain.sh m4/libtool.m4 m4/lt*.m4
 	rm -f ldap/servers/snmp/ldap-agent.conf
 	rm -rf src/lib389/build src/lib389/lib389.egg-info
+	find src/lib389/ -name '__pycache__' -exec rm -rf '{}' ';'
+	rm -f src/lib389/man/*.8
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## 389-ds-base 1.4.3.6

=== src/lib389/requirements.txt ===
pyasn1
pyasn1-modules
pytest
python-dateutil
six
argcomplete
argparse-manpage
python-ldap
setuptools
distro

=== debian/changelog ===
389-ds-base (1.4.3.6-2) unstable; urgency=medium

  * fix-db-home-dir.diff: Set db_home_dir same as db_dir to fix an issue
    starting a newly created instance.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 21 Apr 2020 20:19:06 +0300

389-ds-base (1.4.3.6-1) unstable; urgency=medium

  * New upstream release.
  * install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 20 Apr 2020 15:01:35 +0300

389-ds-base (1.4.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/gitlab-ci.yml.
    - allow blhc to fail
  * control: Bump policy to 4.5.0.
  * control: Use https url for upstream.
  * control: Use canonical URL in Vcs-Browser.
  * copyright: Use spaces rather than tabs to start continuation lines.
  * Add lintian-overrides for the source, cockpit index.js has long lines.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Mar 2020 08:47:32 +0200

=== debian/control ===
--- 
+++ 
@@ -39,10 +39,10 @@
  python3-six,
  rsync,
  zlib1g-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
-Vcs-Browser: https://salsa.debian.org/freeipa-team/389-ds-base.git
-Homepage: http://directory.fedoraproject.org
+Vcs-Browser: https://salsa.debian.org/freeipa-team/389-ds-base
+Homepage: https://directory.fedoraproject.org
 
 Package: 389-ds
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
 
 
-ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel m68k mips mipsel powerpc powerpcspe sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
 endif

=== debian/watch ===
#git=https://pagure.io/389-ds-base.git
version=3
https://releases.pagure.org/389-ds-base/389-ds-base-(.*).tar.bz2

## 389-ds-base 1.4.4.3

=== debian/changelog ===
389-ds-base (1.4.4.3-1build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:38:27 +0100

389-ds-base (1.4.4.3-1) unstable; urgency=medium

  * New upstream release.
  * fix-db-home-dir.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 02 Jun 2020 11:33:44 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:

## 389-ds-base 1.4.4.11

=== src/lib389/requirements.txt ===
pyasn1
pyasn1-modules
pytest
python-dateutil
argcomplete
argparse-manpage
python-ldap
setuptools
distro

=== lib/ldaputil/examples/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# License: GPL (version 3 or any later version).
# See LICENSE for details. 
# END COPYRIGHT BLOCK
#
#
# Makefile for certmap example program.
#

#
# Please set the ARCH variable to one of the following:
# SOLARIS, IRIX, HPUX
#
ARCH = 


#
# Please set the SROOT to be same as your server root
#
SROOT = 

#
# Uncomment the following if you need the debug build
#
#COMMON_DEFS = -g

ifndef ARCH
arch:
	@echo "Please edit the Makefile and set the variable: ARCH"
	@exit 1
endif

ifndef SROOT
sroot:
	@echo "Please edit the Makefile and set the server root variable: SROOT"
	@exit 1
endif

ifeq ($(ARCH), SOLARIS)
CC_CMD = cc -DSOLARIS -D_REENTRANT
LD_SHAREDCMD = ld -G
endif

ifeq ($(ARCH), HPUX)
  BIN = certmap.sl
else
  BIN = certmap.so
endif

OBJS = init.o plugin.o

INCLUDE_FLAGS=-I. -I$(SROOT)/include

INC_FILES = \
	$(SROOT)/include/certmap.h \
	$(SROOT)/include/ldap.h \
	$(SROOT)/include/lber.h

all: $(BIN)

$(INC_FILES):
	@echo
	@echo "To extend the Certificate to LDAP entry mapping by"
	@echo "writing your own functions, you need to download the"
	@echo "Certmap API (version 1.0) and LDAP SDK (version 1.0)."
	@echo "Please download these from http://???"
	@echo "Make sure the following files exist:"
	@echo "\t$(SROOT)/include/certmap.h"
	@echo "\t$(SROOT)/include/ldap.h"
	@echo "\t$(SROOT)/include/lber.h"
	@echo
	@exit 1

$(BIN):	$(INC_FILES) $(OBJS)
	$(LD_SHAREDCMD) $(OBJS) -o $@ $(EXTRA_LDDEFINES)

certmap.dll: $(OBJS)
	$(LD_SHAREDCMD) $(OBJS) -o $@ $(EXTRA_LDDEFINES)

.c.o:
	$(CC_CMD) $(COMMON_DEFS) $(INCLUDE_FLAGS) -c $< 

clean:
	rm -f $(OBJS) certmap.so $(EXTRA_CLEAN)

=== debian/changelog ===
389-ds-base (1.4.4.11-2) unstable; urgency=medium

  * 4711-SIGSEV-with-sync_repl-4738.patch: Fix CVE-2021-3514. (Closes:
    #988727)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 May 2021 14:22:15 +0300

389-ds-base (1.4.4.11-1) unstable; urgency=medium

  * New upstream release.
  * fix-s390x-failure.diff: Fix a crash on big-endian architectures like
    s390x.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Jan 2021 13:03:32 +0200

389-ds-base (1.4.4.10-1) unstable; urgency=medium

  * New upstream release.
  * CVE-2017-15135.patch: Refreshed.
  * source: Update diff-ignore.
  * install: Drop libsds which got removed.
  * control: Add libnss3-tools to cockpit-389-ds Depends. (Closes:
    #965004)
  * control: Drop python3-six from depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Jan 2021 22:16:28 +0200

389-ds-base (1.4.4.9-1) unstable; urgency=medium

  * New upstream release.
  * fix-prlog-include.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Dec 2020 15:29:20 +0200

389-ds-base (1.4.4.8-1) unstable; urgency=medium

  * New upstream release.
  * fix-systemctl-path.diff, drop-old-man.diff: Dropped, obsolete.
  * fix-prlog-include.diff: Fix build by dropping nspr4/ prefix.
  * install, rules: Clean up perl cruft that got removed upstream.
  * install: Add openldap_to_ds.
  * watch: Follow 1.4.4.x.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Nov 2020 15:57:11 +0200

389-ds-base (1.4.4.4-1) unstable; urgency=medium

  * New upstream release.
  * watch: Update upstream git repo url.
  * control: Add python3-dateutil to build-depends.
  * copyright: Drop duplicate globbing patterns.
  * lintian: Drop obsolete overrides.
  * postinst: Drop obsolete rule to upgrade the instances.
  * prerm: Use dsctl instead of remove-ds.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Sep 2020 09:23:30 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
@@ -32,12 +31,12 @@
  python3-all-dev,
  python3-argcomplete,
  python3-argparse-manpage,
+ python3-dateutil,
  python3-ldap,
  python3-packaging,
  python3-selinux,
  python3-sepolicy,
  python3-setuptools,
- python3-six,
  rsync,
  zlib1g-dev,
 Standards-Version: 4.5.0
@@ -153,7 +152,6 @@
  python3-pyasn1,
  python3-pyasn1-modules,
  python3-pytest,
- python3-six,
 Conflicts: python-lib389 (<< 1.3.7.8),
  389-ds-base (<< 1.4.0.18-1~),
 Replaces: python-lib389 (<< 1.3.7.8),
@@ -174,6 +172,7 @@
  libjs-jquery-datatables-extensions,
  libjs-jquery-jstree,
  libjs-moment,
+ libnss3-tools,
  python3,
  python3-lib389,
 Description: Cockpit user interface for 389 Directory Server

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,6 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
 endif
-
-# Keep track of files we don't install
-NOT_INSTALLED := \
-	usr/bin/repl-monitor \
-	usr/bin/cl-dump
 
 REALFILE = \
 	bin/ds-logpipe.py \
@@ -61,10 +56,6 @@
 	# purge .la files
 	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
 
-	# Also get rid of other files which aren't installed. Do not
-	# use -f to ensure we notice disappearing files:
-	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done
-
 	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants
 
 	# fix the manpage section, argparse-manpage hardcodes it as 1
@@ -72,11 +63,6 @@
 	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dscreate.8
 	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsctl.8
 	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsidm.8
-
-	# clean up perl cruft
-	mv debian/tmp/usr/sbin/setup-ds.pl debian/tmp/usr/share/dirsrv
-	rm -f debian/tmp/usr/bin/*.pl debian/tmp/usr/sbin/*.pl
-	rm -rf debian/tmp/usr/share/dirsrv/script-templates/
 
 	dh_install

## 389-ds-base 2.0.15

=== debian/changelog ===
389-ds-base (2.0.15-1ubuntu2) jammy; urgency=medium

  * Make the previous fix conditional (exclude riscv64 due to missing
    binary dependencies). (LP: #2008441)

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Wed, 18 Jun 2025 18:08:01 +0200

389-ds-base (2.0.15-1ubuntu1) jammy; urgency=medium

  * Update debian/rules to generate missing cockpit-389-ds plugin files
    - cached npm dependencies as 389-ds-base_2.0.15.orig-npm-cache.tar.gz
    - d/p/lp2008441-offline-npm-deps.patch
    (LP: #2008441)

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Mon, 12 May 2025 14:47:13 +0200

389-ds-base (2.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 13 Apr 2022 14:11:20 +0300

389-ds-base (2.0.14-1) unstable; urgency=medium

  * New upstream release.
  * install: Updated.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Feb 2022 20:00:45 +0200

389-ds-base (2.0.11-2) unstable; urgency=medium

  * Revert a commit that makes dscreate to fail.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Dec 2021 23:23:15 +0200

389-ds-base (2.0.11-1) unstable; urgency=medium

  * New upstream release.
  * missing-sources: Removed, all the minified javascript files were
    removed upstream some time ago.
  * install: Updated.
  * control: Bump debhelper to 13.
  * Override some lintian errors.
  * watch: Update the url.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Dec 2021 21:03:20 +0200

389-ds-base (1.4.4.17-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2021-3652 (Closes: #991405)
  * tests: Add isolation-container to restrictions.
  * Add a dependency to libjemalloc2, and add a symlink to it so the
    preload works. (Closes: #992696)
  * CVE-2017-15135.patch: Dropped, fixed by upstream issue #4817.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Oct 2021 18:36:30 +0300

389-ds-base (1.4.4.16-1) unstable; urgency=medium

  * New upstream release.
  * fix-s390x-failure.diff: Dropped, upstream.
  * watch: Updated to use github.
  * copyright: Fix 'globbing-patterns-out-of-order'.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Aug 2021 09:54:52 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
  libcmocka-dev,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  doxygen,
  libbz2-dev,
@@ -27,6 +28,7 @@
  libsnmp-dev,
  libssl-dev,
  libsystemd-dev,
+ npm [!riscv64],
  pkg-config,
  python3-all-dev,
  python3-argcomplete,
@@ -39,7 +41,7 @@
  python3-setuptools,
  rsync,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/389-ds-base
 Homepage: https://directory.fedoraproject.org
@@ -63,7 +65,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ libjemalloc2,
 Breaks: 389-ds-base (<< 1.3.6.7-5),
  389-ds-base-dev (<< 1.3.6.7-4),
  libsvrcore0,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
-
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
@@ -40,6 +39,9 @@
 
 override_dh_auto_build:
 	(cd src/lib389 && python3 setup.py build)
+ifneq ($(DEB_HOST_ARCH),riscv64)
+	(cd src/cockpit/389-console && SKIP_AUDIT_CI=1 make -f node_modules.mk install build-cockpit-plugin)
+endif
 	dh_auto_build
 
 override_dh_auto_install:
@@ -64,6 +66,11 @@
 	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsctl.8
 	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsidm.8
 
+	# link to jemalloc
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/dirsrv/lib/
+	ln -s /usr/lib/$(DEB_BUILD_MULTIARCH)/libjemalloc.so.2 \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/dirsrv/lib/
+
 	dh_install
 
 override_dh_missing:

=== debian/watch ===
#git=https://github.com/389ds/389-ds-base
version=3
https://github.com/389ds/389-ds-base/tags/ (?:.*?/)?389-ds-base-@ANY_VERSION@\.tar\.gz

## 389-ds-base 2.3.1+dfsg1

=== .copr/Makefile ===
srpm:
	# Install git in the buildroot to correctly generate commit hash
	dnf install -y git
	# Generate spec file
	make -f rpm.mk rpmroot
	# Install build dependencies
	dnf install -y dnf-plugins-core
	dnf builddep -y --skip-broken --spec rpmbuild/SPECS/389-ds-base.spec --best --allowerasing --setopt=install_weak_deps=False
	# chown files in current working directory to root:root
	# because when npm is run as root, scripts are always run
	# with the effective uid and gid of the working directory owner.
	# copr-rpmbuild runs mock with CAP_SETUID and CAP_SETGID
	# capabilities dropped, and build commands are executed as root.
	# So npm fails if current working directory is not owned by root.
	chown -R root:root .
	# Generate srpm
	SKIP_AUDIT_CI=1 make -f rpm.mk srpms
	
	if [[ "${outdir}" != "" ]]; then \
	        mv dist/srpms/* ${outdir}; \
	fi

=== dirsrvtests/requirements.txt ===
pytest
pytest-libfaketime
slugify

=== src/lib389/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/lib389.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/lib389.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/lib389"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/lib389"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
389-ds-base (2.3.1+dfsg1-1+deb12u1) bookworm; urgency=high

  * Non-maintainer upload.
  * Apply security patches from the upstream:
    - CVE-2024-2199 and CVE-2024-8445: Crash when modifying userPassword
      using malformed input (Closes: #1072531, #1082852).
    - CVE-2024-5953: Denial of service while attempting to log in with
      a user with a malformed hash in their password.
    - CVE-2024-3657: Failure on the directory server with specially-crafted
      LDAP query leading to denial of service.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 16 Jan 2025 17:16:37 +0100

389-ds-base (2.3.1+dfsg1-1) unstable; urgency=medium

  * Repackage the source, filter vendored crates and allow building with
    packaged crates.
  * d/vendor: Add concread 0.2.21 and uuid 0.8.
  * allow-newer-crates.diff, control: Add a bunch of rust crates to
    build-deps, and patch toml files to allow newer crates.
  * concread: Mark tcache as non-default, fix checksums and ease a dep.
  * Update copyright for vendored bits.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 Jan 2023 13:21:19 +0200

389-ds-base (2.3.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1028177)
    - CVE-2022-1949 (Closes: #1016446)
    - CVE-2022-2850 (Closes: #1018054)
  * watch: Updated to use releases instead of tags.
  * control: Add liblmdb-dev to build-depends.
  * control: Add libjson-c-dev to build-depends.
  * control: Build-depend on libpcre2-dev. (Closes: #1000017)
  * Build with rust enabled.
  * rules: Don't use a separate builddir for now.
  * 5610-fix-linking.diff: Fix linking libslapd.so.
  * dont-run-rpm.diff: Use dpkg-query to check for cockpit/firewalld.
    (Closes: #1010136)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Jan 2023 23:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
  libcmocka-dev,
+ cargo,
  debhelper-compat (= 13),
+ dh-cargo,
  dh-python,
  doxygen,
  libbz2-dev,
@@ -15,20 +16,34 @@
  libdb-dev,
  libevent-dev,
  libicu-dev,
+ libjson-c-dev,
  libkrb5-dev,
  libldap2-dev (>= 2.4.28),
+ liblmdb-dev,
  libltdl-dev,
  libnspr4-dev,
  libnss3-dev,
  libpam0g-dev,
  libpci-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libperl-dev,
+ librust-base64-dev,
+ librust-cbindgen-dev,
+ librust-cc-dev,
+ librust-crossbeam-dev,
+ librust-fernet-dev,
+ librust-jobserver-dev,
+ librust-lru-dev,
+ librust-openssl-dev,
+ librust-parking-lot-dev,
+ librust-paste-dev,
+ librust-rand-dev,
+ librust-smallvec-dev,
+ librust-tokio-dev,
  libsasl2-dev,
  libsnmp-dev,
  libssl-dev,
  libsystemd-dev,
- npm [!riscv64],
  pkg-config,
  python3-all-dev,
  python3-argcomplete,
@@ -40,6 +55,7 @@
  python3-sepolicy,
  python3-setuptools,
  rsync,
+ rustc,
  zlib1g-dev,
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
+
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
@@ -14,7 +15,7 @@
 	share/man/man1/logconv.pl.1 \
 
 %:
-	dh $@ --with python3 --builddir build/
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -35,13 +36,15 @@
 		--enable-autobind \
 		--enable-cmocka \
 		--enable-icu \
-		--enable-perl
+		--enable-perl \
+		--enable-rust \
+		--enable-rust-offline
+
+	(cd debian/vendor && for i in `ls /usr/share/cargo/registry`; do \
+	  ln -s /usr/share/cargo/registry/$$i .; done)
 
 override_dh_auto_build:
 	(cd src/lib389 && python3 setup.py build)
-ifneq ($(DEB_HOST_ARCH),riscv64)
-	(cd src/cockpit/389-console && SKIP_AUDIT_CI=1 make -f node_modules.mk install build-cockpit-plugin)
-endif
 	dh_auto_build
 
 override_dh_auto_install:
